Bug 972672 - Package does not run rm -rf %{buildroot} : false positive
Package does not run rm -rf %{buildroot} : false positive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 07:41 EDT by Remi Collet
Modified: 2013-09-16 13:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: fedora-review-0.5.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 09:20:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-06-10 07:41:52 EDT
All PEAR package must contains
  rm -rf %{buildroot}%{pear_metadir}/.??*

This command raise a false positive

[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
Comment 1 Alec Leamas 2013-06-10 07:50:19 EDT
Hm... with rpmbuild automatically taking care of removing %{buildroot} as required, isn't the requirement above for PEAR packages outdated?
Comment 2 Alec Leamas 2013-06-10 07:52:31 EDT
oops... that's  %{buildroot}%{pear_metadir}, sorry.

This indeed looks like a bug, the search pattern should be restricted somehow. Do you have a testcase (spec file, review request)?
Comment 3 Remi Collet 2013-06-10 07:52:52 EDT
No, this command is required.

This line is not the first of %install, 
but the last one (cleanup after the main install of unneeded metadata).
Comment 4 Alec Leamas 2013-07-09 07:47:39 EDT
Fixed in devel: https://fedorahosted.org/FedoraReview/changeset/431e43f971843584f5e9f1b7d1fe260916bd21ca

Thanks for this report!
Comment 5 Fedora Update System 2013-08-30 09:12:51 EDT
fedora-review-0.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.el6
Comment 6 Fedora Update System 2013-08-30 09:13:19 EDT
fedora-review-0.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.fc19
Comment 7 Alec Leamas 2013-08-30 09:20:38 EDT
Closing bug with new 0.5.0 release. Please feel free to reopen if problem should persist. Thanks again for reporting!
Comment 8 Fedora Update System 2013-09-01 19:05:00 EDT
fedora-review-0.5.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-16 13:43:30 EDT
fedora-review-0.5.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.